Subject: RE: [PATCH v2 14/16] arm64: dts: fsd: Add initial device tree support

From: "Alim Akhtar" <[email-masked]>
Date: Wed, 19 Jan 2022 20:37:40 +0530

>-----Original Message-----
>From: Krzysztof Kozlowski [mailto:[email-masked]]
>Sent: Wednesday, January 19, 2022 12:15 AM
>To: Alim Akhtar <[email-masked]>; linux-arm-
>[email-masked]; [email-masked]
>Cc: [email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]; linux-
>[email-masked]; Arjun K V <[email-masked]>; Aswani Reddy
><[email-masked]>; Ajay Kumar <[email-masked]>;
>Sriranjani P <[email-masked]>; Chandrasekar R
><[email-masked]>; Shashank Prashar <[email-masked]>
>Subject: Re: [PATCH v2 14/16] arm64: dts: fsd: Add initial device tree support
>
>On 18/01/2022 15:48, Alim Akhtar wrote:
>> Add initial device tree support for "Full Self-Driving" (FSD) SoC This
>> SoC contain three clusters of four cortex-a72 CPUs and various
>> peripheral IPs.
>>
>> Cc: [email-masked]
>> Signed-off-by: Arjun K V <[email-masked]>
>> Signed-off-by: Aswani Reddy <[email-masked]>
>> Signed-off-by: Ajay Kumar <[email-masked]>
>> Signed-off-by: Sriranjani P <[email-masked]>
>> Signed-off-by: Chandrasekar R <[email-masked]>
>> Signed-off-by: Shashank Prashar <[email-masked]>
>> Signed-off-by: Alim Akhtar <[email-masked]>
>> ---
>>  MAINTAINERS                           |   8 +
>>  arch/arm64/Kconfig.platforms          |   7 +
>>  arch/arm64/boot/dts/Makefile          |   1 +
>>  arch/arm64/boot/dts/tesla/Makefile    |   3 +
>>  arch/arm64/boot/dts/tesla/fsd-evb.dts |  39 ++
>>  arch/arm64/boot/dts/tesla/fsd.dtsi    | 651
>++++++++++++++++++++++++++
>>  6 files changed, 709 insertions(+)
>>  create mode 100644 arch/arm64/boot/dts/tesla/Makefile
>>  create mode 100644 arch/arm64/boot/dts/tesla/fsd-evb.dts
>>  create mode 100644 arch/arm64/boot/dts/tesla/fsd.dtsi
>>
>
>I saw you dropped the MCT timer from DTSI. I wonder why?
>
I dropped it intentionally, as you had a comment on MCT driver changes, so will send later along with MCT driver fix.

>Not very happy with FSD naming (as discussed before), but board compatible
>looks reasonable. Code looks good to me:
>Reviewed-by: Krzysztof Kozlowski <[email-masked]>
>
Thanks Krzysztof for all the reviews.

>Similarly to previous vendor-prefix patch, please let me know if it's expected
>me to take it. I assume no. :)
>
I am expecting this will go via your tree, but I am ok either ways. May be you and arm-soc maintainers (Arnd/Olof) can take the call here.

>Best regards,
>Krzysztof

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel